﻿@model IEnumerable<ALK.Models.Category>

@{
    ViewBag.Title = "Index";
}

<h2>Mängude kategooriad</h2>

<table class="table">

    @foreach (var item in Model)
    {
        <tr>
            <td>
                <a href="@Url.Action("Index", "ProductList", new { Id = item.Id })">@Html.DisplayFor(modelItem => item.Title)</a>
            </td>
        </tr>
    }

    @*@using (Html.BeginForm("Edit", "Products", FormMethod.Post, new { enctype = "multipart/form-data" }))
        <table class="table">
            <tr>
                <th>

                </th>
                <th>
                    Product Name
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Price)
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        <img height="100" src="@Url.Action("Content", "My", new { id = item.ProductImages.FirstOrDefault()?.DataFile.Id })" />
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.ProductName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Price)
                    </td>
                    <td>
                        @Html.ActionLink("View", "Details", new { id = item.Id }) |
                        <a href="@Url.Action("Buy", "ProductList", new { Price = item.Price, ProductN = item.ProductName, Count = item.PCount, ProductId = item.Id })">Buy</a>
                    </td>
                </tr>
            }*@
</table>

